%define oname kwin

Summary:	Plasma 5 window manager module
Name:		plasma5-%{oname}
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Source10:	%{name}.rpmlintrc
Patch0:		kwin-5.3.0-enable-minimizeall.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	breeze-devel >= %{version}
BuildRequires:	kdecoration2-devel >= %{version}
BuildRequires:	kscreenlocker-devel >= %{version}
BuildRequires:	kf5activities-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5idletime-devel
BuildRequires:	kf5init-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5wayland-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
# Runtime (needs check later):
#BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-composite)
BuildRequires:	pkgconfig(xcb-cursor)
BuildRequires:	pkgconfig(xcb-damage)
BuildRequires:	pkgconfig(xcb-glx)
BuildRequires:	pkgconfig(xcb-icccm)
BuildRequires:	pkgconfig(xcb-image)
BuildRequires:	pkgconfig(xcb-keysyms)
BuildRequires:	pkgconfig(xcb-randr)
BuildRequires:	pkgconfig(xcb-render)
BuildRequires:	pkgconfig(xcb-shape)
BuildRequires:	pkgconfig(xcb-shm)
BuildRequires:	pkgconfig(xcb-sync)
BuildRequires:	pkgconfig(xcb-xfixes)
BuildRequires:	pkgconfig(xcb-xtest)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xkbcommon)
Suggests:	plasma5-decoration-aurorae
Conflicts:	kdebase4-workspace

%description
Plasma 5 window manager module.

%files -f %{oname}.lang
%{_kde5_bindir}/kwin_wayland
%{_kde5_bindir}/kwin_x11
%{_kde5_datadir}/config.kcfg/kwin.kcfg
%{_kde5_datadir}/kwin/*.png
%{_kde5_datadir}/kwin/stripTitle.js
%{_kde5_datadir}/kwin/decorations/kwin4_decoration_qml_plastik/
%{_kde5_datadir}/kwin/effects/desktopgrid/
%{_kde5_datadir}/kwin/effects/kwin4_effect_dialogparent/
%{_kde5_datadir}/kwin/effects/kwin4_effect_eyeonscreen/
%{_kde5_datadir}/kwin/effects/kwin4_effect_fade/
%{_kde5_datadir}/kwin/effects/kwin4_effect_fadedesktop/
%{_kde5_datadir}/kwin/effects/kwin4_effect_login/
%{_kde5_datadir}/kwin/effects/kwin4_effect_maximize/
%{_kde5_datadir}/kwin/effects/kwin4_effect_morphingpopups/
%{_kde5_datadir}/kwin/effects/kwin4_effect_scalein/
%{_kde5_datadir}/kwin/effects/kwin4_effect_translucency/
%{_kde5_datadir}/kwin/effects/kwin4_effect_windowaperture/
%{_kde5_datadir}/kwin/effects/presentwindows/
%{_kde5_datadir}/kwin/kcm_kwindecoration/
%{_kde5_datadir}/kwin/kcm_kwintabbox/
%{_kde5_datadir}/kwin/outline/plasma/outline.qml
%{_kde5_datadir}/kwin/scripts/desktopchangeosd/
%{_kde5_datadir}/kwin/scripts/enforcedeco/
%{_kde5_datadir}/kwin/scripts/minimizeall/
%{_kde5_datadir}/kwin/scripts/synchronizeskipswitcher/
%{_kde5_datadir}/kwin/scripts/videowall/
%{_kde5_datadir}/kwin/virtualkeyboard/
%{_kde5_datadir}/kwincompositing/*
%{_kde5_iconsdir}/hicolor/*/apps/kwin.*
%{_kde5_libdir}/libkdeinit5_kwin_rules_dialog.so
%{_kde5_libdir}/libkdeinit5_kwin_x11.so
%{_kde5_libdir}/kconf_update_bin/kwin5_update_default_rules
%{_kde5_libexecdir}/kwin_killer_helper
%{_kde5_libexecdir}/kwin_rules_dialog
%{_kde5_notificationsdir}/kwin.notifyrc
%{_kde5_plugindir}/org.kde.kidletime.platforms/KF5IdleTimeKWinWaylandPrivatePlugin.so
%{_kde5_services}/desktop.desktop
%{_kde5_services}/kcmkwineffects.desktop
%{_kde5_services}/kwin-script-desktopchangeosd.desktop
%{_kde5_services}/kwin-script-enforcedeco.desktop
%{_kde5_services}/kwin-script-minimizeall.desktop
%{_kde5_services}/kwin-script-synchronizeskipswitcher.desktop
%{_kde5_services}/kwin-script-videowall.desktop
%{_kde5_services}/kwinactions.desktop
%{_kde5_services}/kwinadvanced.desktop
%{_kde5_services}/kwincompositing.desktop
%{_kde5_services}/kwindecoration.desktop
%{_kde5_services}/kwinfocus.desktop
%{_kde5_services}/kwinmoving.desktop
%{_kde5_services}/kwinoptions.desktop
%{_kde5_services}/kwinrules.desktop
%{_kde5_services}/kwinscreenedges.desktop
%{_kde5_services}/kwinscripts.desktop
%{_kde5_services}/kwintabbox.desktop
%{_kde5_services}/kwin/kwin4_decoration_qml_plastik.desktop
%{_kde5_services}/kwin/kwin4_effect_*.desktop
%{_kde5_servicetypes}/kwindecoration.desktop
%{_kde5_servicetypes}/kwindesktopswitcher.desktop
%{_kde5_servicetypes}/kwineffect.desktop
%{_kde5_servicetypes}/kwinscript.desktop
%{_kde5_servicetypes}/kwinwindowswitcher.desktop
%{_kde5_sysconfdir}/xdg/kwineffect.knsrc
%{_kde5_sysconfdir}/xdg/kwinscripts.knsrc
%{_kde5_sysconfdir}/xdg/kwinswitcher.knsrc
%{_kde5_sysconfdir}/xdg/org_kde_kwin.categories
%{_qt5_plugindir}/kcm_kwin*.so
%{_qt5_plugindir}/kwincompositing.so
%{_qt5_plugindir}/kwin/effects/configs/*.so
%{_qt5_plugindir}/org.kde.kglobalaccel5.platforms/KF5GlobalAccelPrivateKWin.so
%{_qt5_plugindir}/org.kde.kwin.platforms/KWinX11Platform.so
%{_qt5_plugindir}/org.kde.kwin.waylandbackends/KWinWayland*Backend.so
%{_qt5_plugindir}/platforms/KWinQpaPlugin.so

#----------------------------------------------------------------------------

%package -n plasma5-decoration-aurorae
Summary:	Plasma 5 Aurorae window decoration
Group:		Graphical desktop/KDE
Conflicts:	kdebase4-workspace

%description -n plasma5-decoration-aurorae
Plasma 5 Aurorae window decoration.

%files -n plasma5-decoration-aurorae
%{_kde5_datadir}/kwin/aurorae/
%{_kde5_sysconfdir}/xdg/aurorae.knsrc
%{_qt5_plugindir}/org.kde.kdecoration2/kwin5_aurorae.so

#--------------------------------------------------------------------

%define qmlkwin %mklibname kwin-qml

%package -n %{qmlkwin}
Summary:	QML plugin for Plasma 5 KWin
Group:		System/Libraries
Provides:	kwin-qml = %{EVRD}

%description -n %{qmlkwin}
QML plugin for Plasma 5 KWin.

%files -n %{qmlkwin}
%dir %{_kde5_qmldir}/org/kde/kwin/
%{_kde5_qmldir}/org/kde/kwin/*

#----------------------------------------------------------------------------

%define kwin_major 5
%define libkwin %mklibname kwin %{kwin_major}

%package -n %{libkwin}
Summary:	Plasma 5 window manager shared library
Group:		System/Libraries
Requires:	%{qmlkwin}

%description -n %{libkwin}
Plasma 5 window manager shared library.

%files -n %{libkwin}
%{_kde5_libdir}/libkwin.so.%{kwin_major}
%{_kde5_libdir}/libkwin.so.%{version}*

#----------------------------------------------------------------------------

%define kwin4_effect_builtins_major 1
%define libkwin4_effect_builtins %mklibname kwin4_effect_builtins %{kwin4_effect_builtins_major}

%package -n %{libkwin4_effect_builtins}
Summary:	Plasma 5 window manager shared library
Group:		System/Libraries

%description -n %{libkwin4_effect_builtins}
Plasma 5 window manager shared library.

%files -n %{libkwin4_effect_builtins}
%{_kde5_libdir}/libkwin4_effect_builtins.so.%{kwin4_effect_builtins_major}*

#----------------------------------------------------------------------------

%define kwineffects_major 8
%define libkwineffects %mklibname kwineffects %{kwineffects_major}

%package -n %{libkwineffects}
Summary:	Plasma 5 window manager shared library
Group:		System/Libraries

%description -n %{libkwineffects}
Plasma 5 window manager shared library.

%files -n %{libkwineffects}
%{_kde5_libdir}/libkwineffects.so.%{kwineffects_major}
%{_kde5_libdir}/libkwineffects.so.%{version}*

#----------------------------------------------------------------------------

%define kwinglutils_major 8
%define libkwinglutils %mklibname kwinglutils %{kwinglutils_major}

%package -n %{libkwinglutils}
Summary:	Plasma 5 window manager shared library
Group:		System/Libraries

%description -n %{libkwinglutils}
Plasma 5 window manager shared library.

%files -n %{libkwinglutils}
%{_kde5_libdir}/libkwinglutils.so.%{kwinglutils_major}
%{_kde5_libdir}/libkwinglutils.so.%{version}*

#----------------------------------------------------------------------------

%define kwinxrenderutils_major 8
%define libkwinxrenderutils %mklibname kwinxrenderutils %{kwinxrenderutils_major}

%package -n %{libkwinxrenderutils}
Summary:	Plasma 5 window manager shared library
Group:		System/Libraries

%description -n %{libkwinxrenderutils}
Plasma 5 window manager shared library.

%files -n %{libkwinxrenderutils}
%{_kde5_libdir}/libkwinxrenderutils.so.%{kwinxrenderutils_major}
%{_kde5_libdir}/libkwinxrenderutils.so.%{version}*

#----------------------------------------------------------------------------

%define devkwin %mklibname kwin -d

%package -n %{devkwin}
Summary:	Development files for Plasma 5 window manager module
Group:		Development/KDE and Qt
Requires:	%{libkwin4_effect_builtins} = %{EVRD}
Requires:	%{libkwineffects} = %{EVRD}
Requires:	%{libkwinglutils} = %{EVRD}
Requires:	%{libkwinxrenderutils} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	kdebase4-workspace-devel

%description -n %{devkwin}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkwin}
%{_kde5_includedir}/kwin*.h
%{_kde5_libdir}/cmake/KWinDBusInterface
%{_kde5_libdir}/libkwin4_effect_builtins.so
%{_kde5_libdir}/libkwineffects.so
%{_kde5_libdir}/libkwinglutils.so
%{_kde5_libdir}/libkwinxrenderutils.so
%{_datadir}/dbus-1/interfaces/org.kde.*.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{oname} --all-name --with-kde --with-html
%kf5locales_fix %{oname}.lang


%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (3e4ce56) Update files
- (valerol: f0ee410) Build requires breeze-devel
- (valerol: df6ca26) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (a84d5b8) New version 5.6.5

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (0a427be) Specify version for Plasma 5 BuildRequires
- (Andrey Bondrov: e320ecb) New version 5.6.3

* Thu Apr 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (38cb74a) MassBuild#1028: Increase release tag

* Sat Apr 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (b2d5e8e) Update files (all shaders are combined in resources now, see KDE review request 126905
- (Andrey Bondrov: 5c36c56) Update files (add kwin4_effect_morphingpopups)
- (Andrey Bondrov: 9256f57) New internal libraries major version 8
- (Andrey Bondrov: 9c3d440) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (729c441) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (c68a8e3) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (235cea6) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (6679ade) New version 5.5.3

* Tue Dec 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (ad7895f) Build requires pkgconfig(fontconfig)
- (Andrey Bondrov: 7767ec2) Build requires pkgconfig(freetype2)
- (Andrey Bondrov: 176f954) Build requires kf5idletime-devel
- (Andrey Bondrov: 176f954) Add new files
- (Andrey Bondrov: 8512a88) Build requires kscreenlocker-devel
- (Andrey Bondrov: 8512a88) New libraries major version 7
- (Andrey Bondrov: 1c46bf7) Drop datapath patch (no longer needed with new cmake)
- (Andrey Bondrov: f8ee8b4) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (3cc4bb2) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (9aedf8b) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (e912bb3) New version 5.4.1

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (0abc570) Update files
- (Andrey Bondrov: cb94db1) New version 5.4.0

* Thu Aug 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-3
- (992432c) MassBuild#782: Increase release tag

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-2
- (3706a72) Bump release

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-1
- (0904cdd) New version 5.3.2

* Wed May 27 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.1-1
- (cafdab3) New version 5.3.1


